Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws
Interface Request<T>

Type Parameters:
  `T` - The type of original, user facing request represented by this request.

All Known Implementing Classes:
  DefaultRequest

    public interface Request<T>

Represents a request being sent to an Amazon Web Service, including the parameters being sent as part of the request, the endpoint to which the request should be sent, etc.

This class is only intended for internal use inside the AWS client libraries. Callers shouldn't ever interact directly with objects of this class.

Method Summary
`void` | `addHeader(String name, String value)` Adds the specified header to this request.
`void` | `addParameter(String name, String value)` Adds the specified request parameter to this request.
`URI` | `getEndpoint()` Returns the service endpoint (ex: "https://ec2.amazonaws.com") to which this request should be sent.
`Map<String,String>` | `getHeaders()` Returns a map of all the headers included in this request.
`AmazonWebServiceRequest` | `getOriginalRequest()` Returns the original, user facing request object which this internal request object is representing.
`Map<String,String>` | `getParameters()` Returns a map of all parameters in this request.
`String` | `getResourcePath()` Returns the path to the resource being requested.
`String` | `getServiceName()` Returns the name of the Amazon service this request is for.
`void` | `setEndpoint(URI endpoint)` Sets the service endpoint (ex: "https://ec2.amazonaws.com") to which this request should be sent.
`void` | `setResourcePath(String path)` Sets the path to the resource being requested.
`Request<T>` | `withParameter(String name, String value)` Adds the specified request parameter to this request, and returns the updated request object.

Method Detail

### addHeader

    void addHeader(String name,
                   String value)

  Adds the specified header to this request.

  Parameters:
    `name` - The name of the header to add.
    `value` - The header's value.

### getHeaders

    Map<String,String> getHeaders()

  Returns a map of all the headers included in this request.

  Returns:
    A map of all the headers included in this request.

### setResourcePath

    void setResourcePath(String path)

  Sets the path to the resource being requested.

  Parameters:
    `path` - The path to the resource being requested.

### getResourcePath

    String getResourcePath()

  Returns the path to the resource being requested.

  Returns:
    The path to the resource being requested.

### addParameter

    void addParameter(String name,
                      String value)

  Adds the specified request parameter to this request.

  Parameters:
    `name` - The name of the request parameter.
    `value` - The value of the request parameter.

### withParameter

    Request<T> withParameter(String name,
                             String value)

  Adds the specified request parameter to this request, and returns the updated request object.

  Parameters:
    `name` - The name of the request parameter.
    `value` - The value of the request parameter.
  Returns:
    The updated request object.

### getParameters

    Map<String,String> getParameters()

  Returns a map of all parameters in this request.

  Returns:
    A map of all parameters in this request.

### getEndpoint

    URI getEndpoint()

  Returns the service endpoint (ex: "https://ec2.amazonaws.com") to which this request should be sent.

  Returns:
    The service endpoint to which this request should be sent.

### setEndpoint

    void setEndpoint(URI endpoint)

  Sets the service endpoint (ex: "https://ec2.amazonaws.com") to which this request should be sent.

  Parameters:
    `endpoint` - The service endpoint to which this request should be sent.

### getServiceName

    String getServiceName()

  Returns the name of the Amazon service this request is for.

  Returns:
    The name of the Amazon service this request is for.

### getOriginalRequest

    AmazonWebServiceRequest getOriginalRequest()

  Returns the original, user facing request object which this internal request object is representing.

  Returns:
    The original, user facing request object which this request object is representing.

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.